TestProvider (Velocity 1.4 API)
Keywords: org.apache.velocity.test.provider.TestProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test.provider
Class TestProvider

    java.lang.Object
      org.apache.velocity.test.provider.TestProvider

public class TestProvider
extends java.lang.Object

This class is used by the testbed. Instances of the class are fed into the context that is set before the AST is traversed and dynamic content generated.

Version:
  $Id: TestProvider.java,v 1.21.8.1 2004/03/03 23:23:06 geirm Exp $
Author:
  Jason van Zyl

Field Summary
`(package private) java.lang.Object` | `ob`
`static java.lang.String` | `PUB_STAT_STRING`
`(package private) boolean` | `state`
`(package private) int` | `stateint`
`(package private) java.lang.String` | `title`

Constructor Summary
`TestProvider()`

Method Summary
`boolean` | `allEmpty(java.lang.Object[] list)`
`java.lang.Integer` | `bang()`
`java.lang.String` | `chop(java.lang.String string, int i)` Chop i characters off the end of a string.
`java.lang.String` | `concat(java.util.List strings)`
`java.lang.String` | `concat(java.lang.Object[] strings)`
`java.lang.String` | `concat(java.lang.String a, java.lang.String b)`
`java.lang.String` | `get(java.lang.String key)` Test the ability of vel to use a get(key) method for any object type, not just one that implements the Map interface.
`java.lang.String[]` | `getArray()`
`Child` | `getChild()`
`java.util.ArrayList` | `getCustomers()`
`java.util.ArrayList` | `getCustomers2()`
`java.util.List` | `getEmptyList()`
`java.lang.String` | `getFoo()`
`java.util.Hashtable` | `getHashtable()`
`java.util.List` | `getList()`
`java.lang.Object[]` | `getMenu()`
`java.lang.String` | `getName()`
`Person` | `getPerson()`
`java.util.ArrayList` | `getRelSearches()`
`java.util.Hashtable` | `getSearch()`
`java.util.Stack` | `getStack()`
`boolean` | `getStateFalse()`
`boolean` | `getStateTrue()`
`java.lang.String` | `getThrow()`
`java.lang.String` | `getTitle()`
`java.util.Vector` | `getVector()`
`java.lang.Object` | `me()`
`java.lang.String` | `objConcat(java.util.List objects)`
`java.lang.String` | `objectArrayMethod(java.lang.Object[] o)`
`java.lang.String` | `parse(java.lang.String a, java.lang.Object o, java.lang.String c, java.lang.String d)`
`java.lang.String` | `put(java.lang.String key, java.lang.Object o)` Test the ability of vel to use a put(key) method for any object type, not just one that implements the Map interface.
`void` | `setBangStart(java.lang.Integer i)`
`void` | `setState(java.lang.Boolean state)`
`void` | `setTitle(java.lang.String title)`
`java.lang.String` | `showPerson(Person person)`
`boolean` | `theAPLRules()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### title

    java.lang.String title

### state

    boolean state

### ob

    java.lang.Object ob

### PUB_STAT_STRING

    public static java.lang.String PUB_STAT_STRING

### stateint

    int stateint

Constructor Detail

### TestProvider

    public TestProvider()

Method Detail

### getName

    public java.lang.String getName()

### getStack

    public java.util.Stack getStack()

### getEmptyList

    public java.util.List getEmptyList()

### getList

    public java.util.List getList()

### getSearch

    public java.util.Hashtable getSearch()

### getHashtable

    public java.util.Hashtable getHashtable()

### getRelSearches

    public java.util.ArrayList getRelSearches()

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getMenu

    public java.lang.Object[] getMenu()

### getCustomers

    public java.util.ArrayList getCustomers()

### getCustomers2

    public java.util.ArrayList getCustomers2()

### me

    public java.lang.Object me()

### toString

    public java.lang.String toString()

### getVector

    public java.util.Vector getVector()

### getArray

    public java.lang.String[] getArray()

### theAPLRules

    public boolean theAPLRules()

### getStateTrue

    public boolean getStateTrue()

### getStateFalse

    public boolean getStateFalse()

### objectArrayMethod

    public java.lang.String objectArrayMethod(java.lang.Object[] o)

### concat

    public java.lang.String concat(java.lang.Object[] strings)

### concat

    public java.lang.String concat(java.util.List strings)

### objConcat

    public java.lang.String objConcat(java.util.List objects)

### parse

    public java.lang.String parse(java.lang.String a,
                                  java.lang.Object o,
                                  java.lang.String c,
                                  java.lang.String d)

### concat

    public java.lang.String concat(java.lang.String a,
                                   java.lang.String b)

### getPerson

    public Person getPerson()

### getChild

    public Child getChild()

### showPerson

    public java.lang.String showPerson(Person person)

### chop

    public java.lang.String chop(java.lang.String string,
                                 int i)

  Chop i characters off the end of a string.

  Parameters:
    `string` - String to chop.
    `i` - Number of characters to chop.
  Returns:
    String with processed answer.

### allEmpty

    public boolean allEmpty(java.lang.Object[] list)

### setState

    public void setState(java.lang.Boolean state)

### setBangStart

    public void setBangStart(java.lang.Integer i)

### bang

    public java.lang.Integer bang()

### get

    public java.lang.String get(java.lang.String key)

  Test the ability of vel to use a get(key) method for any object type, not just one that implements the Map interface.

### put

    public java.lang.String put(java.lang.String key,
                                java.lang.Object o)

  Test the ability of vel to use a put(key) method for any object type, not just one that implements the Map interface.

### getFoo

    public java.lang.String getFoo()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getThrow

    public java.lang.String getThrow()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.